/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.dicomnetcommons;

/**
 * This enum represents Service Type.
 */
public enum EnumServiceType 
{

	/** The CECHO. */
	CECHO("CECHO"),

	/** The CSTORE. */
	CSTORE_DEFAULT("CSTOREDEFAULT"),
	
	/** The CSTORE. */
	CSTORE_STUDYCONTENTNOTIFICATION("CSTORESTUDYCONTENTNOTIFICATION"),

	/** The CSTORE. */
	CSTORE_ORMS("CSTOREORMS"),

	/** The CSTORE for SRS. */
	CSTORE_SRS("CSTORESRS"),

	/** The CFIND DEFAULT. */
	CFIND_DEFAULT("CFINDDEFAULT"),

	/** The CFIND MWL. */
	CFIND_MWL("CFINDMWL"),

	/** The CFIND Substance Administration. */
	CFIND_SUBSTANCEADMINISTRATION("CFINDSUBSTANCEADMINISTRATION"),

	/** The CFIND GPWL. */
	CFIND_GPWL("CFINDGPWL"),

	/** The CMOVE. */
	CMOVE("CMOVE"),

	/** The CGET. */
	CGET("CGET"),

	/** The NCREATE MPPS. */
	NCREATE_MPPS("NCREATEMPPS"),

	/** The NCREATE GPPPS. */
	NCREATE_GPPPS("NCREATEGPPPS"),

	/** The NCREATE IAN. */
	NCREATE_IAN("NCREATEIAN"),

	/** The NCREATE BASIC_GRAYSCALEPRINT_MANAGEMENT. */
	NCREATE_BASIC_GRAYSCALEPRINT_MANAGEMENT("NCREATEBASICGRAYSCALEPRINTMANAGEMENT"),

	/** The NSET_BASIC_GRAYSCALE_PRINT_MANAGEMENT. */
	NSET_BASIC_GRAYSCALE_PRINT_MANAGEMENT("NSETBASICGRAYSCALEPRINTMANAGEMENT"),

	/**NDELETE_BASIC_GRAYSCALE_PRINT_MANAGEMENT*/
	NDELETE_BASIC_GRAYSCALE_PRINT_MANAGEMENT("NDELETEBASICGRAYSCALEPRINTMANAGEMENT"),

	/**NACTION_BASIC_GRAYSCALE_PRINT_MANAGEMENT */
	NACTION_BASIC_GRAYSCALE_PRINT_MANAGEMENT("NACTIONBASICGRAYSCALEPRINTMANAGEMENT"),

	/** NEVENTREPORT_BASIC_GRAYSCALE_PRINT_MANAGEMENT */
	NEVENTREPORT_BASIC_GRAYSCALE_PRINT_MANAGEMENT("NEVENTREPORTBASICGRAYSCALEPRINTMANAGEMENT"),

	/** NGET_BASIC_GRAYSCALE_PRINT_MANAGEMENT */
	NGET_BASIC_GRAYSCALE_PRINT_MANAGEMENT("NGETBASICGRAYSCALEPRINTMANAGEMENT"),

	/** NCREATE_BASIC_COLOR_PRINT_MANAGEMENT */
	NCREATE_BASIC_COLOR_PRINT_MANAGEMENT("NCREATEBASICCOLORPRINTMANAGEMENT"),

	/** NSET_BASIC_COLOR_PRINT_MANAGEMENT */
	NSET_BASIC_COLOR_PRINT_MANAGEMENT("NSETBASICCOLORPRINTMANAGEMENT"),

	/** NDELETE_BASIC_COLOR_PRINT_MANAGEMENT */
	NDELETE_BASIC_COLOR_PRINT_MANAGEMENT("NDELETEBASICCOLORPRINT_MANAGEMENT"),

	/** NACTION_BASIC_COLOR_PRINT_MANAGEMENT */
	NACTION_BASIC_COLOR_PRINT_MANAGEMENT("NACTIONBASICCOLORPRINTMANAGEMENT"),

	/** NEVENTREPORT_BASIC_COLOR_PRINT_MANAGEMENT */
	NEVENTREPORT_BASIC_COLOR_PRINT_MANAGEMENT("NEVENTREPORTBASICCOLORPRINTMANAGEMENT"),

	/** NGET_BASIC_COLOR_PRINT_MANAGEMENT */
	NGET_BASIC_COLOR_PRINT_MANAGEMENT("NGETBASICCOLORPRINTMANAGEMENT"),

	/** NDELETE_PULLPRINT */
	NDELETE_PULLPRINT("NDELETEPULLPRINT"),

	/** NEVENTREPORT_PULLPRINT */
	NEVENTREPORT_PULLPRINT("NEVENTREPORTPULLPRINT"),

	/** NGET_PULLPRINT */
	NGET_PULLPRINT("NGETPULLPRINT"),

	/** NCREATE_PULLPRINT */
	NCREATE_PULLPRINT("NCREATEPULLPRINT"),

	/** NACTION_PULLPRINT */
	NACTION_PULLPRINT("NACTIONPULLPRINT"),

	NCREATE_BASIC_PRINT_IMAGE_OVERLAY("NCREATEBASICPRINTIMAGEOVERLAY"),

	NSET_BASIC_PRINT_IMAGE_OVERLAY("NSETBASICPRINTIMAGEOVERLAY"),

	NDELETE_BASIC_PRINT_IMAGE_OVERLAY("NDELETEBASICPRINTIMAGEOVERLAY"),

	NGET_PRINTER_CONFIGURATION_RETRIEVAL("NGETPRINTERCONFIGURATIONRETRIEVAL"),

	NCREATE_PRESENTATION_LUT("NCREATEPRESENTATIONLUT"),

	NDELETE_PRESENTATION_LUT("NDELETEPRESENTATIONLUT"),

	NEVENTREPORT_PRINT_JOB("NEVENTREPORTPRINTJOB"),

	NGET_PRINT_JOB("NGETPRINTJOB"),

	NSET_BASIC_ANNOTATION("NSETBASICANNOTATION"),

	/** The NSET MPPS. */
	NSET_MPPS("NSETMPPS"),

	/** The NSET GPPPS. */
	NSET_GPPPS("NSETGPPPS"),

	/** The NGET MPPS. */
	NGET_MPPS("NGETMPPS"),

	/** The NGET GPPPS. */
	NGET_GPPPS("NGETGPPPS"),

	/** The NEVENTREPORT STORAGE COMMITMENT. */
	NEVENTREPORT_STORAGE_COMMITMENT("NEVENTREPORTSTORAGECOMMITMENT"),

	/** The NEVENTREPORT MPPS. */
	NEVENTREPORT_MPPS("NEVENTREPORTMPPS"),

	/** The NACTION GPSPS. */
	NACTION_GPSPS("NACTIONGPSPS"),	

	/** The NACTION STORAGE COMMITMENT. */
	NACTION_STORAGE_COMMITMENT("NACTIONSTORAGECOMMITMENT"),

	/** The NACTION APPLICATION EVENT LOGGING. */
	NACTION_AEL("NACTIONAEL"),

	/** NEVENTREPORT_PRINT_QUEUE_MANAGEMENT */
	NEVENTREPORT_PRINT_QUEUE_MANAGEMENT("NEVENTREPORTPRINTQUEUEMANAGEMENT"),

	/** NACTION_PRINT_QUEUE_MANAGEMENT */
	NACTION_PRINT_QUEUE_MANAGEMENT("NACTIONPRINTQUEUEMANAGEMENT"),

	/** NGET_PRINT_QUEUE_MANAGEMENT */
	NGET_PRINT_QUEUE_MANAGEMENT("NGETPRINTQUEUEMANAGEMENT"),

	
	/** The NGET DETACHED_RESULT_MANAGEMENT. */
	NGET_DETACHED_RESULT_MANAGEMENT("NGETDETACHEDRESULTMANAGEMENT"),
	
	/** The NGET DETACHED_INTERPRETATION_MANAGEMENT. */
	NGET_DETACHED_INTERPRETATION_MANAGEMENT("NGETDETACHEDINTERPRETATIONMANAGEMENT"),
	
	/** The NGET DETACHED_RESULT_MANAGEMENT_META_SOP. */
	NGET_DETACHED_RESULT_MANAGEMENT_META_SOP("NGETDETACHEDRESULTMANAGEMENTMETASOP"),
	
	/** The NEVENTREPORT DETACHED_RESULT_MANAGEMENT. */
	NEVENTREPORT_DETACHED_RESULT_MANAGEMENT("NEVENTREPORTDETACHEDRESULTMANAGEMENT"),
	
	/** The NEVENTREPORT DETACHED_INTERPRETATION_MANAGEMENT. */
	NEVENTREPORT_DETACHED_INTERPRETATION_MANAGEMENT("NEVENTREPORTDETACHEDINTERPRETATIONMANAGEMENT"),
	
	/** The NEVENTREPORT DETACHED_RESULT_MANAGEMENT_META_SOP. */
	NEVENTREPORT_DETACHED_RESULT_MANAGEMENT_META_SOP("NEVENTREPORTDETACHEDRESULTMANAGEMENTMETASOP"),
	
	/** The NSET DETACHED_INTERPRETATION_MANAGEMENT. */
	NSET_DETACHED_INTERPRETATION_MANAGEMENT("NSETDETACHEDINTERPRETATIONMANAGEMENT"),
	
	/** The NSET DETACHED_RESULT_MANAGEMENT_META_SOP. */
	NSET_DETACHED_RESULT_MANAGEMENT_META_SOP("NSETDETACHEDRESULTMANAGEMENTMETASOP"),

	/** The NGET MEDIA CREATION MANAGEMENT. */
	NGET_MEDIA_CREATION("NGETMEDIACREATION"),
	
	/** The NCREATE MEDIA CREATION MANAGEMENT. */
	NCREATE_MEDIA_CREATION("NCREATEMEDIACREATION"),

	/** The NGET DETACHED_PATIENT_MANAGEMENT. */
	NGET_DETACHED_PATIENT_MANAGEMENT("NGETDETACHEDPATIENTMANAGEMENT"),

	/** The NGET DETACHED_INTERPRETATION_MANAGEMENT. */
	NGET_DETACHED_VISIT_MANAGEMENT("NGETDETACHEDVISITMANAGEMENT"),

	/** The NGET DETACHED_PATIENT_MANAGEMENT_META_SOP. */
	NGET_DETACHED_PATIENT_MANAGEMENT_META_SOP("NGETDETACHEDPATIENTMANAGEMENTMETASOP"),

	/** The NACTION MEDIA CREATION MANAGEMENT. */
	NACTION_MEDIA_CREATION("NACTIONMEDIACREATION"),

	/** The NEVENTREPORT DETACHED_PATIENT_MANAGEMENT. */
	NEVENTREPORT_DETACHED_PATIENT_MANAGEMENT("NEVENTREPORTDETACHEDPATIENTMANAGEMENT"),

	/** The NEVENTREPORT DETACHED_VISIT_MANAGEMENT. */
	NEVENTREPORT_DETACHED_VISIT_MANAGEMENT("NEVENTREPORTDETACHEDVISITMANAGEMENT"),

	/** The NEVENTREPORT DETACHED_PATIENT_MANAGEMENT_META_SOP. */
	NEVENTREPORT_DETACHED_PATIENT_MANAGEMENT_META_SOP("NEVENTREPORTDETACHEDPATIENTMANAGEMENTMETASOP"),

	/** The NSET DETACHED_VISIT_MANAGEMENT. */
	NSET_DETACHED_VISIT_MANAGEMENT("NSETDETACHEDVISITMANAGEMENT"),

	/** The NSET DETACHED_PATIENT_MANAGEMENT_META_SOP. */
	NSET_DETACHED_PATIENT_MANAGEMENT_META_SOP("NSETDETACHEDPATIENTMANAGEMENTMETASOP"),
	
	/** The NCREATE STUDY MANAGEMENT META*/
	NCREATE_STUDY_MANAGEMENT_META("NCREATESTUDYMANAGEMENTMETA"),

	/** The NSET STUDY MANAGEMENT META*/
	NSET_STUDY_MANAGEMENT_META("NSETSTUDYMANAGEMENTMETA"),

	/** The NGET STUDY MANAGEMENT META*/
	NGET_STUDY_MANAGEMENT_META("NGETSTUDYMANAGEMENTMETA"),

	/** The NEVENTREPORT STUDY MANAGEMENT META*/
	NEVENTREPORT_STUDY_MANAGEMENT_META("NEVENTREPORTSTUDYMANAGEMENTMETA"),
	
	/** The NCREATE STUDY COMPONENT MANAGEMENT SOP CLASS. */
	NCREATE_STUDY_COMPONENT_MANAGEMENT("NCREATESTUDYCOMPONENTMANAGEMENT"),

	/** The NSET STUDY COMPONENT MANAGEMENT SOP CLASS. */
	NSET_STUDY_COMPONENT_MANAGEMENT("NSETSTUDYCOMPONENTMANAGEMENT"),

	/** The NGET STUDY COMPONENT MANAGEMENT SOP CLASS. */
	NGET_STUDY_COMPONENT_MANAGEMENT("NGETSTUDYCOMPONENTMANAGEMENT"),
	
	/** The NEVENTREPORT DETACHED STUDY MANAGEMENT SOP CLASS. */
	NEVENTREPORT_DETACHED_STUDY_MANAGEMENT("NEVENTREPORTDETACHEDSTUDYMANAGEMENT"),

	/** The NSET DETACHED STUDY MANAGEMENT SOP CLASS. */
	NSET_DETACHED_STUDY_MANAGEMENT("NSETDETACHEDSTUDYMANAGEMENT"),

	/** The NGET DETACHED STUDY MANAGEMENT SOP CLASS. */
	NGET_DETACHED_STUDY_MANAGEMENT("NGETDETACHEDSTUDYMANAGEMENT"),

	/** The NGET DISPLAY SYSTEM MANAGEMENT SOP CLASS. */
	NGET_DISPLAY_SYSTEM_MANAGEMENT("NGETDISPLAYSYSTEMMANAGEMENT"),
	
	/** The CFIND Relevant Patient Information Query Service. */
	
	CFIND_RELEVANTPATIENTINFOQRY("CFINDRELEVANTPATIENTINFOQRY"),
	
	/** The CSTORE. */
	CSTORE_HANGINGPROTOCOL("CSTOREHANGINGPROTOCOL"),
	
	/** The CFIND. */
	CFIND_HANGINGPROTOCOL("CFINDHANGINGPROTOCOL"),

	/** The CGET. */
	CGET_HANGINGPROTOCOL("CGETHANGINGPROTOCOL"),

	/** The CMOVE. */
	CMOVE_HANGINGPROTOCOL("CMOVEHANGINGPROTOCOL"),

	/** The CSTORE for IMPLANTTEMPLATE. */
	CSTORE_IMPLANTTEMPLATE("CSTOREIMPLANTTEMPLATE"),

	/** The CFIND for IMPLANTTEMPLATE. */
	CFIND_IMPLANTTEMPLATE("CFINDIMPLANTTEMPLATE"),

	/** The CMOVE for IMPLANTTEMPLATE. */
	CMOVE_IMPLANTTEMPLATE("CMOVEIMPLANTTEMPLATE"),

	/** The CGET for IMPLANTTEMPLATE. */
	CGET_IMPLANTTEMPLATE("CGETIMPLANTTEMPLATE"),
	
	/** The CSTORE for COLORPALETTE. */
	CSTORE_COLORPALETTE("CSTORECOLORPALETTE"),
	
	/** The CFIND for COLORPALETTE. */
	CFIND_COLORPALETTE("CFINDCOLORPALETTE"),

	/** The CMOVE for COLORPALETTE. */
	CMOVE_COLORPALETTE("CMOVECOLORPALETTE"),

	/** The CGET for COLORPALETTE. */
	CGET_COLORPALETTE("CGETCOLORPALETTE"),

	/** The CGET for Composite instance without bulk data. */

	CGET_COMPOSITEINSTANCERETRIEVEWITHOUTBULKDATA("CGETCOMPOSITEINSTANCERETRIEVEWITHOUTBULKDATA"),

	/** The CMOVE for IFLR. */
	CMOVE_IFLR("CMOVEIFLR"),

	/** The CGET for IFLR. */
	CGET_IFLR("CGETIFLR"),

	/** The NCREATE RT Conventional Machine Verification. */
	NCREATE_RT_CONVENTIONAL_MACHINE_VERIFICATION("NCREATERTCONVENTIONALMACHINEVERIFICATION"),

	/** The NSET RT Conventional Machine Verification. */
	NSET_RT_CONVENTIONAL_MACHINE_VERIFICATION("NSETRTCONVENTIONALMACHINEVERIFICATION"),

	/** The NGET RT Conventional Machine Verification */
	NGET_RT_CONVENTIONAL_MACHINE_VERIFICATION("NGETRTCONVENTIONALMACHINEVERIFICATION"),
	
	/** The NEVENTREPORT RT Conventional Machine Verification */
	NEVENTREPORT_RT_CONVENTIONAL_MACHINE_VERIFICATION("NEVENTREPORTRTCONVENTIONALMACHINEVERIFICATION"),

	/** The NACTION RT Conventional Machine Verification. */
	NACTION_RT_CONVENTIONAL_MACHINE_VERIFICATION("NACTIONRTCONVENTIONALMACHINEVERIFICATIONT"),

	/** The NDELETE RT Conventional Machine Verification */
	NDELETE_RT_CONVENTIONAL_MACHINE_VERIFICATION("NDELETERTCONVENTIONALMACHINEVERIFICATION"),

	/** The NCREATE RT Ion Machine Verification. */
	NCREATE_RT_ION_MACHINE_VERIFICATION("NCREATERTIONMACHINEVERIFICATION"),

	/** The NSET RT Ion Machine Verification. */
	NSET_RT_ION_MACHINE_VERIFICATION("NSETRTIONMACHINEVERIFICATION"),

	/** The NGET RT Ion Machine Verification */
	NGET_RT_ION_MACHINE_VERIFICATION("NGETRTIONMACHINEVERIFICATION"),
	
	/** The NEVENTREPORT RT Ion Machine Verification */
	NEVENTREPORT_RT_ION_MACHINE_VERIFICATION("NEVENTREPORTRTIONMACHINEVERIFICATION"),

	/** The NACTION RT Ion Machine Verification. */
	NACTION_RT_ION_MACHINE_VERIFICATION("NACTIONRTIONMACHINEVERIFICATION"),

	/** The NDELETE RT Ion Machine Verification */
	NDELETE_RT_ION_MACHINE_VERIFICATION("NDELETERTIONMACHINEVERIFICATION"),

/** The NCreate for UPS. */
	NCREATE_UPS("NCREATEUPS"),

	/** The NAction for UPS. */
	NACTION_UPS("NACTIONUPS"),

	/** The NSet for UPS. */
	NSET_UPS("NSETUPS"),

	/** The NGet for UPS. */
	NGET_UPS("NGETUPS"),

	/** The CFind for UPS. */
	CFIND_UPS("CFINDUPS"),
	
	/** The N Event Report for UPS. */
	NEVENTREPORT_UPS("NEVENTREPORTUPS"),

	/** The C-Store for SPSS. */
	CSTORE_SPSS("CSTORESPSS"),

	/** All Services */
	ALL("ALL");

	/** The value. */
	private String value;

	/**
	 * Instantiates a new enum service type.
	 * 
	 * @param strValue the str value
	 */
	EnumServiceType(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of Service Type.
	 * 
	 * @return - returns string value of Service Type.
	 */
	public String getValue()
	{
		return value;
	}
}
